View Issue Details

IDProjectCategoryView StatusLast Update
0017155LazarusLCLpublic2010-08-13 07:16
ReporterDenis GolovanAssigned ToMaxim Ganetsky 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0017155: Regression: TPaintBox.OnMouseWheel is never called
DescriptionHi

Some recent changes (within last 2-3 month) broke something.
Now OnMouseWheel event for TPaintBox control is handled by form and not by control.
In attached example event never fires.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0014063 closedMarc Weustink Shift state in always full 

Activities

2010-08-11 22:10

 

MouseWheel-Assign.tar.gz (2,301 bytes)

Denis Golovan

2010-08-11 22:36

reporter   ~0040154

Seems like it is related to my patch in 0014063.
I'll investigate and report.

Denis Golovan

2010-08-12 20:30

reporter   ~0040169

I added another patch for 0014603.
It fixes problem reported in this ticket.

Please close this ticket as invalid.

Maxim Ganetsky

2010-08-12 22:42

developer   ~0040171

Resolved on reporter's request.

Issue History

Date Modified Username Field Change
2010-08-11 22:10 Denis Golovan New Issue
2010-08-11 22:10 Denis Golovan File Added: MouseWheel-Assign.tar.gz
2010-08-11 22:10 Denis Golovan Widgetset => GTK 2
2010-08-11 22:36 Denis Golovan Note Added: 0040154
2010-08-12 20:30 Denis Golovan Note Added: 0040169
2010-08-12 22:42 Maxim Ganetsky LazTarget => -
2010-08-12 22:42 Maxim Ganetsky Status new => resolved
2010-08-12 22:42 Maxim Ganetsky Resolution open => no change required
2010-08-12 22:42 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-08-12 22:42 Maxim Ganetsky Note Added: 0040171
2010-08-12 22:42 Maxim Ganetsky Relationship added parent of 0014063
2010-08-12 22:43 Maxim Ganetsky Relationship deleted parent of 0014063
2010-08-12 22:43 Maxim Ganetsky Relationship added related to 0014063
2010-08-13 07:16 Denis Golovan Status resolved => closed